function _define_property(obj, key, value) {
    if (key in obj) {
        Object.defineProperty(obj, key, {
            value: value,
            enumerable: true,
            configurable: true,
            writable: true
        });
    } else {
        obj[key] = value;
    }
    return obj;
}
function _object_spread(target) {
    for(var i = 1; i < arguments.length; i++){
        var source = arguments[i] != null ? arguments[i] : {};
        var ownKeys = Object.keys(source);
        if (typeof Object.getOwnPropertySymbols === "function") {
            ownKeys = ownKeys.concat(Object.getOwnPropertySymbols(source).filter(function(sym) {
                return Object.getOwnPropertyDescriptor(source, sym).enumerable;
            }));
        }
        ownKeys.forEach(function(key) {
            _define_property(target, key, source[key]);
        });
    }
    return target;
}
function ownKeys(object, enumerableOnly) {
    var keys = Object.keys(object);
    if (Object.getOwnPropertySymbols) {
        var symbols = Object.getOwnPropertySymbols(object);
        if (enumerableOnly) {
            symbols = symbols.filter(function(sym) {
                return Object.getOwnPropertyDescriptor(object, sym).enumerable;
            });
        }
        keys.push.apply(keys, symbols);
    }
    return keys;
}
function _object_spread_props(target, source) {
    source = source != null ? source : {};
    if (Object.getOwnPropertyDescriptors) {
        Object.defineProperties(target, Object.getOwnPropertyDescriptors(source));
    } else {
        ownKeys(Object(source)).forEach(function(key) {
            Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key));
        });
    }
    return target;
}
function _object_without_properties(source, excluded) {
    if (source == null) return {};
    var target = {}, sourceKeys, key, i;
    if (typeof Reflect !== "undefined" && Reflect.ownKeys) {
        sourceKeys = Reflect.ownKeys(source);
        for(i = 0; i < sourceKeys.length; i++){
            key = sourceKeys[i];
            if (excluded.indexOf(key) >= 0) continue;
            if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue;
            target[key] = source[key];
        }
        return target;
    }
    target = _object_without_properties_loose(source, excluded);
    if (Object.getOwnPropertySymbols) {
        sourceKeys = Object.getOwnPropertySymbols(source);
        for(i = 0; i < sourceKeys.length; i++){
            key = sourceKeys[i];
            if (excluded.indexOf(key) >= 0) continue;
            if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue;
            target[key] = source[key];
        }
    }
    return target;
}
function _object_without_properties_loose(source, excluded) {
    if (source == null) return {};
    var target = {}, sourceKeys = Object.getOwnPropertyNames(source), key, i;
    for(i = 0; i < sourceKeys.length; i++){
        key = sourceKeys[i];
        if (excluded.indexOf(key) >= 0) continue;
        if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue;
        target[key] = source[key];
    }
    return target;
}
import React from "react";
export var WenyanIcon = function(_0) {
    var _0_size = _0.size, size = _0_size === void 0 ? 24 : _0_size, props = _object_without_properties(_0, [
        "size"
    ]);
    return /*#__PURE__*/ React.createElement("svg", _object_spread_props(_object_spread({
        width: size,
        height: size
    }, props), {
        xmlns: "http://www.w3.org/2000/svg",
        viewBox: "0 0 32 32"
    }), /*#__PURE__*/ React.createElement("title", null, "file_type_wenyan"), /*#__PURE__*/ React.createElement("path", {
        d: "M12.67,5.042a2.939,2.939,0,0,1-.245,1.188,2.693,2.693,0,0,1-.739.985,3.5,3.5,0,0,1-1.165.635,5.013,5.013,0,0,1-1.562.223H8.464V6.162l.5.017a3.1,3.1,0,0,0,.577-.033,1.553,1.553,0,0,0,.406-.119.494.494,0,0,0,.184-.136.125.125,0,0,0,.025-.091.24.24,0,0,0-.008-.076.4.4,0,0,0-.054-.092c-.042-.05-.089-.1-.135-.149a2.417,2.417,0,0,1-.2-.228,1.261,1.261,0,0,1-.293-.835,1.429,1.429,0,0,1,.1-.526,1.41,1.41,0,0,1,.76-.775A1.512,1.512,0,0,1,10.936,3a1.547,1.547,0,0,1,.753.183,1.7,1.7,0,0,1,.553.483,2.075,2.075,0,0,1,.32.65A2.513,2.513,0,0,1,12.67,5.042Z",
        style: {
            fill: '#f3b276'
        }
    }), /*#__PURE__*/ React.createElement("rect", {
        x: "14.364",
        y: "6.314",
        width: "9.636",
        height: "2.086",
        style: {
            fill: '#f3b276'
        }
    }), /*#__PURE__*/ React.createElement("rect", {
        x: "8",
        y: "10.958",
        width: "6.089",
        height: "2.092",
        style: {
            fill: '#f3b276'
        }
    }), /*#__PURE__*/ React.createElement("rect", {
        x: "8",
        y: "14.008",
        width: "6.089",
        height: "2.091",
        style: {
            fill: '#f3b276'
        }
    }), /*#__PURE__*/ React.createElement("rect", {
        x: "17.12",
        y: "10.958",
        width: "6.089",
        height: "2.092",
        style: {
            fill: '#f3b276'
        }
    }), /*#__PURE__*/ React.createElement("rect", {
        x: "17.12",
        y: "14.008",
        width: "6.089",
        height: "2.091",
        style: {
            fill: '#f3b276'
        }
    }), /*#__PURE__*/ React.createElement("polygon", {
        points: "11.34 20.639 11.34 26.932 14.11 26.932 14.11 29 9.023 29 9.023 18.57 14.11 18.57 14.11 20.639 11.34 20.639",
        style: {
            fill: '#f3b276'
        }
    }), /*#__PURE__*/ React.createElement("polygon", {
        points: "21.992 18.57 21.992 29 16.916 29 16.916 26.932 19.674 26.932 19.674 20.639 16.916 20.639 16.916 18.57 21.992 18.57",
        style: {
            fill: '#f3b276'
        }
    }));
};
export default WenyanIcon;
